<?php
abstract class Task {
	public function run() {
		Logger::log("Running task " . get_class($this), Logger::DEBUG, "Task");
		$this->execute();
		Logger::log("Finished task " . get_class($this), Logger::DEBUG, "Task");
	}

	abstract protected function execute();
}